GDCM: gdcm::JPEG12Codec Class Reference

GDCM 3.2.11

Public Member Functions | Protected Member Functions | List of all members
gdcm::JPEG12Codec Class Reference

Class to do JPEG 12bits (lossy & lossless). More...

`#include <gdcmJPEG12Codec.h>`

Inheritance diagram for gdcm::JPEG12Codec:
[legend]
Collaboration diagram for gdcm::JPEG12Codec:
[legend]

## Public Member Functions
| JPEG12Codec ()
| ~JPEG12Codec () override
bool | DecodeByStreams (std::istream &is, std::ostream &os) override
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts) override
bool | InternalCode (const char *input, unsigned long len, std::ostream &os) override
Public Member Functions inherited from gdcm::JPEGCodec
| JPEGCodec ()
| ~JPEGCodec () override
bool | CanCode (TransferSyntax const &ts) const override
| Return whether this coder support this transfer syntax (can code it).
bool | CanDecode (TransferSyntax const &ts) const override
| Return whether this decoder support this transfer syntax (can decode it).
ImageCodec * | Clone () const override
bool | Code (DataElement const &in, DataElement &out) override
| Compress into JPEG.
void | ComputeOffsetTable (bool b)
| Compute the offset table:
bool | Decode (DataElement const &is, DataElement &os) override
| Decode.
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts) override
bool | GetLossless () const
double | GetQuality () const
void | SetLossless (bool l)
void | SetPixelFormat (PixelFormat const &pf) override
void | SetQuality (double q)
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec () override
bool | CleanupUnusedBits (char *data, size_t datalen)
const unsigned int * | GetDimensions () const
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetDimensions (const unsigned int d[3])
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
void | SetPlanarConfiguration (unsigned int pc)
Public Member Functions inherited from gdcm::Coder
virtual | ~Coder ()=default
Public Member Functions inherited from gdcm::Decoder
virtual | ~Decoder ()=default

## Protected Member Functions
bool | EncodeBuffer (std::ostream &os, const char *data, size_t datalen) override
bool | IsStateSuspension () const override
Protected Member Functions inherited from gdcm::JPEGCodec
bool | AppendFrameEncode (std::ostream &out, const char *data, size_t datalen) override
bool | AppendRowEncode (std::ostream &out, const char *data, size_t datalen) override
bool | DecodeByStreams (std::istream &is, std::ostream &os) override
bool | DecodeExtent (char *buffer, unsigned int xmin, unsigned int xmax, unsigned int ymin, unsigned int ymax, unsigned int zmin, unsigned int zmax, std::istream &is)
bool | IsFrameEncoder () override
bool | IsRowEncoder () override
bool | IsValid (PhotometricInterpretation const &pi) override
void | SetBitSample (int bit)
bool | StartEncode (std::ostream &) override
bool | StopEncode (std::ostream &) override
Protected Member Functions inherited from gdcm::ImageCodec
bool | DoByteSwap (std::istream &is_, std::ostream &os)
bool | DoInvertMonochrome (std::istream &is_, std::ostream &os)
bool | DoOverlayCleanup (std::istream &is_, std::ostream &os)
bool | DoPaddedCompositePixelCode (std::istream &is_, std::ostream &os)
bool | DoPlanarConfiguration (std::istream &is_, std::ostream &os)
bool | DoSimpleCopy (std::istream &is_, std::ostream &os)
bool | DoYBR (std::istream &is_, std::ostream &os)
bool | DoYBRFull422 (std::istream &is_, std::ostream &os)

## Additional Inherited Members
Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Attributes inherited from gdcm::JPEGCodec
int | BitSample
int | Quality
Protected Attributes inherited from gdcm::ImageCodec
unsigned int | Dimensions [3]
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
bool | NeedOverlayCleanup
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
unsigned int | PlanarConfiguration
bool | RequestPaddedCompositePixelCode
bool | RequestPlanarConfiguration

## Detailed Description

Class to do JPEG 12bits (lossy & lossless).

Note
  internal class

## Constructor & Destructor Documentation

## ◆ JPEG12Codec()

gdcm::JPEG12Codec::JPEG12Codec | ( |  | ) |

## ◆ ~JPEG12Codec()

gdcm::JPEG12Codec::~JPEG12Codec | ( |  | ) |
| override

## Member Function Documentation

## ◆ DecodeByStreams()

bool gdcm::JPEG12Codec::DecodeByStreams | ( | std::istream & | is,
|  | std::ostream & | os )
| overridevirtual

Reimplemented from gdcm::ImageCodec.

## ◆ EncodeBuffer()

bool gdcm::JPEG12Codec::EncodeBuffer | ( | std::ostream & | os,
|  | const char * | data,
|  | size_t | datalen )
| overrideprotectedvirtual

Reimplemented from gdcm::JPEGCodec.

## ◆ GetHeaderInfo()

bool gdcm::JPEG12Codec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts )
| overridevirtual

Reimplemented from gdcm::ImageCodec.

## ◆ InternalCode()

bool gdcm::JPEG12Codec::InternalCode | ( | const char * | input,
|  | unsigned long | len,
|  | std::ostream & | os )
| overridevirtual

Reimplemented from gdcm::Coder.

## ◆ IsStateSuspension()

bool gdcm::JPEG12Codec::IsStateSuspension | ( |  | ) | const
| overrideprotectedvirtual

Reimplemented from gdcm::JPEGCodec.

The documentation for this class was generated from the following file:

- gdcmJPEG12Codec.h